Package com.enonic.xp.query.aggregation

## Class HistogramAggregationQuery

- java.lang.Object
- - com.enonic.xp.query.aggregation.AggregationQuery
  - - com.enonic.xp.query.aggregation.BucketAggregationQuery
    - - com.enonic.xp.query.aggregation.AbstractHistogramAggregationQuery<Long>
      - - com.enonic.xp.query.aggregation.HistogramAggregationQuery

-     @PublicApi
      public class HistogramAggregationQuery
      extends AbstractHistogramAggregationQuery<Long>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HistogramAggregationQuery.Builder` |
    `static class` | `HistogramAggregationQuery.Order` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HistogramAggregationQuery.Builder` | `create​(String name)` |
    `Long` | `getExtendedBoundMax()` |
    `Long` | `getExtendedBoundMin()` |
    `HistogramAggregationQuery.Order` | `getOrder()` |
    `boolean` | `setExtendedBounds()` |
    `String` | `toString()` |

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AbstractHistogramAggregationQuery

      `getFieldName, getInterval, getMinDocCount`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.BucketAggregationQuery

      `getSubQueries`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AggregationQuery

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getExtendedBoundMin

          public Long getExtendedBoundMin()

    - #### getExtendedBoundMax

          public Long getExtendedBoundMax()

    - #### setExtendedBounds

          public boolean setExtendedBounds()

    - #### getOrder

          public HistogramAggregationQuery.Order getOrder()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### create

          public static HistogramAggregationQuery.Builder create​(String name)